/* **************************************************** */
/* Variabili Globali */
/* **************************************************** */
var backLevelNow;
var v = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
/* Variabili Oggetti Mobili */
var objVar  = [15,         22,            0,     29,     121,  0];
var objId   = ["fune",     "clt",         "fl",  "bt",   "card", "cardok"];
var objTit  = ["Fune",     "Coltello",    "Filo","Batteria", "Card", "Card"];
var objName = ["Una Fune", "Un coltello", "Un filo tagliato", "Una Batteria", "Una Card", "Una Card Attiva"];
var objUse  = ["y",        "y",           "y",   "y",    "y",   "y"];
var objShow = ["y",        "y",           "y",   "y",    "y",   "y"];
var objLeave= ["y",        "y",           "y",   "y",    "y",   "y"];
var objDesc = ["Una robusta fune molto lunga e poco pesante.",
               "Un Coltello molto affilato.",
               "Un filo tagliato dalla Presa di Corrente.",
               "Una batteria molto potente.",
               "Una Card per l'identificazione elettronica.",
               "Una Card Attiva a Nome di Carlos.",
               ];

/* Variabili Oggetti Fissi */
var objFixVar  = [8,      15,     15,       26,      141,     115];
var objFixId   = ["presa", "slot", "slotbt", "ring", "slotcard", "cardw"];
var objFixName = ["Presa di Corrente",
                  "Slot Fusibile",
                  "Slot Batteria",
                  "Ringhiera",
                  "Lettore di Card",
                  "Scrittore di Card"
                  ];

/* Limite Inventorio */
var limitObj = 10;

/* Setup Variabili */
v[1]=0;
v[2]=0;
v[3]=0;
v[4]=0;
v[5]=0;
v[6]=0;
v[7]=0;
v[8]=0;
v[9]=0;
v[10]=0;
v[11]=0;
v[12]=0;
v[13]=0;
v[14]=0;
/* Stanza di Inizio */
var startRoom=1;

/* Stato del Game Over */
var gameOver=0;
/* **************************************************** */
/* Avventura (Stanze, Direzioni, Oggetti, etc...)       */
/* **************************************************** */
room(startRoom);
function room(rm) {
switch(rm) {

case 1:
tt("Ingresso di Quantica Area A");
tx("<<  Di salti quantici in quest'ultimo anno ne ho fatti parecchi, ma stavolta avevo una strana sensazione. Era come se una voce dentro di me, mi spingesse a non farlo, ma purtroppo non potevo ritirarmi. Sono il collaudatore ufficiale del <b>Quantica Project</b> e quindi devo seguire il protocollo. Sono colui che si immerge nei mondi paralleli ricreati dal <b>Quantum Device</b> allo scopo di testare in pratica gli effetti derivanti dal salto quantico. Non so cosa sia andato storto, ma so che ci troviamo in una <b>Quasar Facility</b> alternativa, in un mondo parallelo ricreato da un computer quantico. <i>Il problema non  stato entrare, ma e' quello di uscire.</i> >>.");
br(2);
lk("Continua", 2);
break;

case 2:
showTime();
tt("Ingresso di Quantica Area A - Ore " + timeIs);
tx("<< Nick! Nick! >>,<br />");
tx("<< Come??? Cosa??? Ah, s, dimmi Alice >>,<br />");
tx("<< A cosa stai pensando Nick? >>,<br />");
tx("<< No, a niente. Cos'e' accaduto? Come possiamo ritornare nel nostro mondo? >>,<br />");
tx("<< Dobbiamo cercare di capirlo alla svelta Nick e dobbiamo scappare prima che imploda tutto. Come anche voi sapete, l'oscurita' presto distruggera' la materia. >>,<br />");
tx("<< E cosa dobbiamo fare Carlos? >>,<br />");
tx("<< La <b>Facility</b> del mondo parallelo non e' l'esatta copia della <b>Quasar Facility</b> del nostro mondo? >>,<br />");
tx("<< Si Carlos, continua... >>,<br />");
tx("<< Bene. Io andr in armeria a prendere delle armi, non mi piace stare in questo posto disarmato, tu Alice vai al centro di controllo, la <b>Control Room</b>, per scoprire cos' accaduto di preciso, tu Nick invece continua con il tuo piano da collaudatore. Stai tranquillo, penseremo a tutto io e Alice >>.");
br(2);
lk("Continua", 3);
break;

case 3:
showTime();
tt("Ingresso di Quantica Area A - Ore " + timeIs);
tx("Sei a <b>Quantica</b>, una struttura ricreata in un mondo parallelo da una macchina chiamata <b>Quantum Device</b>. E' un dispositivo in grado di ricreare un mondo parallelo a dimensioni reali partendo da un progetto in 3D sviluppato all'interno di un computer. Il dispositivo ricrea inoltre una porta virtuale chiamata <b>Access Gate</b>, che permette di varcare la soglia ed accedere al mondo ricreato dalla macchina. Lavori per conto della <b>Quasar Inc</b>, una potente corporazione, che gestisce il <b>Quantica Project</b> per conto del governo degli Stati Uniti. Il tuo compito  quello di testare la struttura parallela e gli eventuali effetti che potrebbero derivarne sulla materia. Qualcosa tuttavia questa volta e' andata per il verso sbagliato. Siete stati inghiottiti nel mondo parallelo dal computer in modo del tutto automatico e misterioso.");
br(2);
tx("Ti trovi all'ingresso di <b>Quantica</b>, Carlos il capo della sicurezza  andato nella Stanza delle Armi, la <b>Weapons Storage</b>,  mentre Alice al centro di controllo.");
br(2);
tx("Qui puoi vedere ");
lk("una grande porta", 4);
tx(", delle scale che vanno al ");
lk("piano superiore", 5);
tx(", delle scale che vanno verso il ");
lk("basso", 6);
tx(", un ");
lk("ascensore", 7);
tx(", una ");
lk("finestra", 9);
tx(" e un lungo ");
lk("corridoio", 10);
tx(".");
break;

case 4:
tt("Grande Porta");
if (v[6]==0) {
tx("Una porta scorrevole in acciaio. Permette di accedere all'area B della struttura. Deve essere sbloccata elettronicamente dalla <b>Control Room</b>.");
br(2);
lk("Continua", 11);
}
if (v[6]==1) {
tx("Una porta scorrevole in acciaio. Permette di accedere all'area B della struttura. Alice l'ha sbloccata dalla <b>Control Room</b>. La porta  aperta.");
br(2);
lk("Continua", 100);
rndMsg(case1);
}
break;

case 5:
tt("Scale");
tx("Le scale continuano...");
br(2);
lk("Sali", 32);
br();
lk("Scendi", 11);
break;

case 6:
tt("Scale");
tx("Le scale continuano...");
br(2);
lk("Sali", 11);
br();
lk("Scendi", 14);
break;

case 7:
tt("Ascensore");
tx("Porta ai piani superiori e a quello inferiore, ma  fuori servizio. Manca la corrente.");
br(2);
lk("Continua", 11);
break;

case 8:
tt("Presa di Corrente");
tx("Una normale presa di corrente, non funzionante.");
br(2);
lk("Continua", 21);
break;

case 9:
tt("Finestra");
if (v[9]==1) { v[10]=1; }
if (v[10]==0) {
tx("Una normale finestra. Guardando fuori dalla struttura l'unica cosa che noti e' il buio. Un'oscurit che divora tutto quanto, luce compresa. Quel buio inoltre ti fa capire che il <b>Quantum Device</b> non e' in grado di ricreare anche gli ambienti esterni se questi non vengono prima ricreati nel computer. In un certo senso e' come se la struttura si trovasse all'interno di un buco nero, dove l'intero edificio molto presto sara' completamente distrutto dall'oscurit, che eliminera' ogni traccia di materia. E' quello che accade tutte le volte che ricreate un mondo parallelo. E' fortemente instabile e all'arrivo dell'oscurit implodera' tutto e probabilmente sara' inghiottito in una dimensione dove non c'e' ne spazio, ne tempo, ne luce, ne materia. Questa e' quantomeno l'ipotesi piu' plausibile, anche se e' presto per dirlo, perche' siete ancora agli esordi di questa nuova tecnologia.");
}
if (v[10]==1) {
if (v[9]==0) {
tx("Una normale finestra. Guardando fuori dalla struttura l'unica cosa che noti e' il buio. Presto questo mondo verra' avvolto dall'oscurita' e della materia che lo compone non ne restera' nulla.");
}
if (v[9]==1) {
tx("Una normale finestra. Guardando fuori dalla struttura vedi l'oscurita' e una fune.");
}
}
br(2);
lk("Continua", 11);
v[10]=1;
break;

case 10:
tt("Corridoio");
tx("Un lungo corridorio che porta dritto alla <b>Control Room</b>.");
br(2);
lk("Segui il corridoio", 18);
br();
lk("Torna all'ingresso di Quantica", 11);
break;

case 11:
tt("Ingresso di Quantica Area A");
tx("Ti trovi all'ingresso di <b>Quantica</b>.");
br(2);
tx("Vedi una ");
if (v[6]==0) {
lk("grande porta", 4);
}
if (v[6]==1) {
lk("grande porta", 100);
}
tx(", delle scale che vanno al ");
lk("piano superiore", 5);
tx(", delle scale che vanno verso il ");
lk("basso", 6);
tx(", un ");
if (v[3]==0) {
lk("ascensore", 7);
}
if (v[3]==1) {
lk("ascensore", 27);
}
tx(", una ");
lk("finestra", 9);
tx(" e un lungo ");
lk("corridoio", 10);
tx(".");
rndMsg(case1);
break;

case 12:
tt("Control Room");
tx("Vedi Alice.");
br(2);
if (v[6]==0) {
if (v[4]==0) {
lk("Parla a Alice", 13);
}
if (v[4]==1) {
tx("<< Bene Nick, grazie a te abbiamo ripristinato la comunicazione con il nostro mondo. Possiamo attivare l'<b>Access Gate</b> e tornare al nostro mondo prima che la struttura imploda. C'e' solo un problema: Carlos e' andato nell'Area B di Quantica e non e' ancora tornato. >>. Cosa vuoi fare?");
br(2);
lk("Andare via con Alice, ma senza Carlos", 30);
br();
lk("Accedere all'Area B per cercare Carlos", 31);
}
}
if (v[6]==1) {
tx("<< Trova Carlos, Nick. Spero che stia bene. >>.");
br();
}
br();
lk("Torna nel corridoio", 18);
break;

case 13:
tt("Control Room");
if (v[0]==0) {
tx("<< Nick, per fortuna sei qui. Ho bisogno del tuo aiuto. Manca la corrente del generatore <b>E</b>, puoi andare ad attivarlo?  E' importante che sia attivo perche' ci permette di comunicare con il mondo reale e di attivare l'<b>Access Gate</b>. Se non e' attivo non abbiamo nessuna speranza di tornare nel nostro mondo. >>");
}
if (v[1]>=2) {
v[0]=10;
if (v[3]==0) {
v[7]=1;
tx("<< Bene Alice, la situazione  questa:");
br();
tx("Punto uno, manca la batteria al Generatore <b>E</b>, una cosa alquanto strana ed inspiegabile, come del resto tutto quello che sta accadendo in questo posto.");
br();
tx("Punto due, manca il fusibile per accedere alle stanze protette elettronicamente e all'ascensore. >>.");
br(2);
tx("<< Nick, le batterie di riserva sono nel Magazzino all'interno del Laboratorio. Dobbiamo trovare un sistema per attivare lo Slot alimentato grazie a quel fusibile. Carlos si trova nell'area B di Quantica, quindi penso che tocchi a te risolvere il problema. Fai presto, la struttura ha gia' iniziato a dare i primi segni di cedimento, l'oscurit si sta avvicinando a Quantica. >>.");
}
if (v[3]==1) {
tx("<< Bene Alice, la situazione  questa:");
br();
tx("Manca solo la batteria al Generatore <b>E</b>.");
br();
tx("Inoltre mancava il fusibile per accedere alle stanze protette elettronicamente e all'ascensore, ma ho risolto unendo le 2 estremita' con un filo.>>.");
br(2);
tx("<< Nick, ora che hai attivato il circuito grazie a quel fusibile improvvisato, puoi accedere al Magazzino e recuperare la batteria. Carlos si trova nell'area B di Quantica, quindi penso che tocchi a te risolvere il problema. Fai presto, la struttura ha gia' iniziato a dare i primi segni di cedimento, l'oscurit si sta avvicinando a Quantica. >>.");
}
}
if (v[0]==1) {
tx("<< Nick, a che punto sei con il generatore? Lo hai attivato? >>");
}
if (v[0]==2) {
tx("<< Nick, torna quando hai attivato il generatore, per ora non c'e' altro. >>");
}
if (v[0]==3) {
tx("Alice e' occupata. Per ora non puo' risponderti.");
v[0]=2;
}
v[0]++;
br(2);
if (v[0]<3) {
lk("Parla ancora a Alice", 13);
}
br();
lk("Torna nel corridoio", 18);
break;

case 14:
tt("Scale");
tx("Le scale continuano ancora...");
br(2);
lk("Sali", 6);
br();
lk("Scendi", 15);
rndMsg(case1);
break;

case 15:
tt("Power Room");
if ((v[3]==0) && (v[4]==0)) {
tx("Sei nella stanza dei generatori di corrente. Forniscono energia all'intera struttura. Sono presenti 4 interruttori attivi e un interruttore non attivo a causa della batteria mancante al generatore <b>E</b>. Vedi inoltre un pannello elettronico in cui e' presente uno slot da cui manca un fusibile.");
}
if ((v[3]==1) && (v[4]==0)) {
tx("Sei nella stanza dei generatori di corrente. Forniscono energia all'intera struttura. Sono presenti 4 interruttori attivi e un interruttore non attivo a causa della batteria mancante al generatore <b>E</b>. Vedi inoltre un pannello completamente funzionante.");
}
if ((v[3]==0) && (v[4]==1)) {
tx("Sei nella stanza dei generatori di corrente. Forniscono energia all'intera struttura. Sono presenti 5 interruttori attivi. Vedi inoltre un pannello elettronico in cui e' presente uno slot da cui manca un fusibile.");
}
if ((v[3]==1) && (v[4]==1)) {
tx("Sei nella stanza dei generatori di corrente. Forniscono energia all'intera struttura. Sono presenti 5 interruttori attivi e un pannello completamente funzionante.");
}
br();
v[0]=1;
br();
lk("Esamina il Generatore E", 19);
br();
lk("Esamina Slot", 20);
br();
lk("Vai in alto", 16);
br();
if (v[3]==1) {
lk("Usa l'Ascensore", 27);
}
break;

case 16:
tt("Scale");
tx("Le scale continuano...");
br(2);
lk("Sali", 17);
br();
lk("Scendi", 15);
rndMsg(case1);
break;

case 17:
tt("Scale");
tx("Le scale continuano ancora...");
br(2);
lk("Sali", 11);
br();
lk("Scendi", 16);
rndMsg(case1);
break;

case 18:
tt("Corridoio");
tx("Un lungo corridorio che porta all'ingresso di <b>Quantica</b>...");
br(2);
lk("Segui il corridoio", 10);
br();
if (v[14]==0){
lk("Entra nella Control Room", 12);
}
if (v[14]==1){
lk("Entra nella Control Room", 200);
}
break;

case 19:
if (v[1]>2) { v[1]=2; }
tt("Generatore <b>E</b>");
if (v[4]==0) {
tx("E' il generatore che permette di attivare il communicator per poter parlare con il vostro mondo e nello stesso tempo consente di aprire l'<b>Access Gate</b>, il varco per ritornare a casa. Manca la batteria.");
}
if (v[4]==1) {
tx("E' il generatore che permette di attivare il communicator con il mondo reale e di aprire l'<b>Access Gate</b>, il varco per ritornare al vostro mondo. Sia questo, che gli altri generatori, sono attivi e perfettamente funzionanti.");
}
v[1]++;
br(2);
lk("Continua", 15);
rndMsg(case1);
break;

case 20:
if (v[1]>2) { v[1]=2; }
tt("Slot");
if (v[3]==0) {
tx("Un piccolo Pannello elettronico con uno Slot a cui manca un fusibile.");
}
if (v[3]==1) {
tx("Un piccolo Slot da cui mancava un fusibile, ma che hai riparato con ingegno, grazie al filo prelevato dalla Presa di Corrente.");
}
v[1]++;
br(2);
lk("Continua", 15);
break;

case 21:
tt("Rest Room");
tx("E' il bagno di Quantica dell'Area A. Vedi una ");
lk("presa di corrente", 8);
br(2);
lk("Vai a Ovest", 32);
rndMsg(case1);
break;

case 22:
tt("Weapons Storage");
tx("Ci sono armi di ogni tipo, ma sono bloccate all'interno di alcuni scaffali. Gli scaffali possono essere aperti solo da personale autorizzato, grazie ad una Card identificativa.");
br(2);
lk("Vai a Est", 32);
break;

case 23:
tt("Scale");
tx("Le scale continuano...");
br(2);
lk("Sali", 24);
br();
lk("Scendi", 32);
break;

case 24:
tt("Corridoio Secondo Piano");
if (v[9]==0) {
if (v[8]==1) {
tx("L'Area A di Quantica ha iniziato a cedere. Non e' pi possibile usare le scale e l'ascensore per scendere. ");
tx("Le scale continuano verso l'alto. Vedi la porta del Laboratorio a Ovest.");
br(2);
if (v[3]==1) {
lk("Vai a Ovest", 28);
br();
}
lk("Sali", 25);
}
if (v[8]==0) {
if (v[3]==0) {
tx("Le scale continuano. Vedi la porta del Laboratorio a Ovest, ma e' chiusa con una serratura elettronica.");
}
if (v[3]==1) {
tx("Le scale continuano. Vedi la porta del Laboratorio a Ovest, e' aperta.");
}
br(2);
if (v[3]==1) {
lk("Vai a Ovest", 28);
br();
}
lk("Sali", 25);
br();
lk("Scendi", 23);
if (v[3]==1) {
br();
lk("Usa l'Ascensore", 27);
}
}
}
if (v[9]==1) {
tx("Il passaggio e' completamente bloccato.");
br(2);
lk("Torna Indietro e usa l'Acensore", 27);
}
break;

case 25:
colorScreen("FFF");
colorAdv("FFF");
tt("Scale");
tx("Le scale continuano...");
br(2);
lk("Sali", 26);
br();
lk("Scendi", 24);
rndMsg(case1);
break;

case 26:
colorScreen("000");
colorAdv("F1F1F1");
tt("Terrazza");
if ((v[8]==1) && (objVar[0]!="i")) {
tx("- Game Over -");
br();
tx("L'oscurita' e' arrivata...");
br();
tx("...vedi un grandissimo vortice nero che aspira te e l'intera struttura.");
br(2);
tx("Hai completato il gioco con il finale <b>BAD+</b>");
br(2);
tx("Clicca sul tasto INFO per avere maggiori informazioni sui punti ottenuti e sul totale delle azione che hai svolto durante l'avventura o clicca su RICOMINCIA per una nuova avventura. - Fine -");
gameStop();
gameOver=1;
return;
}
tx("Sei nel terrazzo di Quantica. Puoi vedere l'oscurit che lentamente si avvicina alla struttura. Una grande antenna satellitare, posta al centro del terrazzo, permette la comunicazione tra i 2 mondi, mentre una possente ringhiera avvolge tutta la terrazza. Una piccola luce, posta in alto, riesce a stento a raggiungere il lato est del terrazzo. Pensi, che non sia molto prudente stare qui fuori.");
br(2);
lk("Scendi", 25);
break;

case 27:
tt("Ascensore");
tx("Sei all'interno di un piccolo ascensore.");
br(2);
tx("Puoi andare:");
br();
lk("Secondo Piano", 24);
br();
lk("Primo Piano", 32);
br();
lk("Pianterreno", 11);
br();
lk("Seminterrato", 15);
break;

case 28:
tt("Laboratory");
tx("Sei all'interno del Laboratorio di Quantica. Vedi banconi pieni di tranfusaglie e scaffali con pezzi di ricambio di ogni genere, ma niente che possa esserti utile. A Nord vedi il Magazzino.");
br(2);
lk("Vai a Nord", 29);
br();
lk("Vai a Est", 24);
break;

case 29:
tt("Store Room");
tx("Sei nel Magazzino. Gli scaffali sono pieni di resistenze, condensatori, transistor, integrati, led e molti altri componenti elettonici.");
br(2);
lk("Vai a Sud", 28);
rndMsg(case1);
break;

case 30:
tt("Control Room");
tx("Cosi' tu e Alice tornate nel vostro mondo lasciando li' il povero Carlos, che verra' inghiottito dall'oscurita' per sempre.");
br(2);
tx("Hai completato il gioco con il finale <b>BAD</b>");
br(2);
tx("Clicca sul tasto INFO per avere maggiori informazioni sui punti ottenuti e sul totale delle azione che hai svolto durante l'avventura o clicca su RICOMINCIA per una nuova avventura. - Fine -");
perToComplete=100;
gameStop();
gameOver=1;
return;
break;

case 31:
tt("Control Room");
tx("<< Ok Nick! Ho appena attivato la grande porta, hai accesso all'area B. >>.");
br(2);
v[6]=1;
lk("Torna nel corridoio", 18);
break;

case 32:
tt("Corridoio Primo Piano");
tx("A Ovest vedi l'Armeria, a Est un Bagno.");
br();
tx("Le scale continuano...");
br(2);
lk("Sali", 23);
br();
lk("Scendi", 5);
if (v[3]==1) {
br();
lk("Usa l'Ascensore", 27);
}
br();
lk("Vai a Est", 21);
br();
if (v[7]==0) {
lk("Vai a Ovest", 33);
}
if (v[7]==1) {
lk("Vai a Ovest", 22);
}
break;

case 33:
tt("Weapons Storage");
tx("Vedi Carlos in Armeria. << Nick, hai parlato con Regina? Forse ha bisogno del tuo aiuto. Per ora qui la situazione e' sotto controllo. >>.");
br(2);
lk("Continua", 32);
break;

case 100:
tt("Ingresso di Quantica Area B");
tx("Ti trovi all'ingresso dell'Area B della struttura. ");
br(2);
tx("Qui puoi vedere ");
lk("una grande porta", 11);
tx(", delle scale che vanno al ");
lk("piano superiore", 110);
tx(", delle scale che vanno verso il ");
lk("basso", 120);
tx(", un ");
lk("ascensore", 130);
tx(" e un lungo ");
lk("corridoio", 140);
tx(".");
break;

case 110:
tt("Scale");
tx("Le Scale continuano...");
br(2);
lk("Sali", 111);
br();
lk("Scendi", 100);
break;

case 111:
tt("Primo Piano Area B");
tx("Le Scale continuano... Ti trovi al Primo Piano. A Est vedi la porta del Bagno, mentre a Ovest la stanza della Security.");
br(2);
lk("Sali", 112);
br();
lk("Scendi", 110);
br();
lk("Est", 113);
br();
lk("Ovest", 114);
break;

case 112:
tt("Scale");
tx("Non puoi accedere al Secondo Piano. La Stuttura e' danneggiata. Una fitta nebbia verde avvolge l'intero piano. E' uno strano effetto che si verifica quando l'oscurita' e' prossima ad arrivare. Pensi che e' meglio andare via.");
br(2);
lk("Scendi", 111);
break;

case 113:
tt("Rest Room");
tx("Un bagno. Niente di insolito.");
br(2);
lk("Ovest", 111);
break;

case 114:
tt("Security Room");
tx("Vedi un ");
if (objVar[5]!="i") {
lk("Computer", 115);
tx(" sopra l'unica scrivania collocata all'angolo sinistro della stanza.");
}
if (objVar[5]=="i") {
tx("Computer ");
tx("sopra l'unica scrivania collocata all'angolo sinistro della stanza.");
}
br(2);
lk("Est", 111);
break;

case 115:
tt("Computer3");
if (v[13]==0) {
tx("Sul monitor c'e' scritto: Scrittore di Card. Programma Attivo. Inserire una Card vuota nello scrittore.");
}
if (v[13]==1) {
tx("La Card inserita e' corretta. ");
tx("Procedere con l'autenticazione.");
br();
lk("Nick", 201);
br();
lk("Carlos", 202);
br();
lk("Alice", 201);
br();
lk("Regina", 201);
br();
lk("Quasar", 201);
br();
lk("Quantica", 201);
}
br(2);
lk("Chiudi Programma", 114);
break;

case 120:
tt("Scale");
tx("Le Scale continuano...");
br(2);
lk("Sali", 100);
br();
lk("Scendi", 121);
break;

case 121:
tt("Seminterrato");
tx("Ti trovi nel Seminterrato.");
br(2);
lk("Sali", 120);
break;

case 130:
tt("Ascensore");
tx("Questo Ascensore e' seriamente danneggiato.");
br(2);
lk("Continua", 100);
break;

case 140:
tt("Corridoio");
tx("Il corridoio continua...");
br(2);
lk("Nord", 141);
br();
lk("Sud", 100);
break;

case 141:
tt("Corridoio");
tx("Vedi la porta della mensa. Sulla porta c'e' scritto: << Mensa riservata al Solo personale dell'Area A. Inserire la Card nel lettore >>.");
br(2);
if (v[12]==1) {
lk("Entra nella Mensa", 142);
br();
}
lk("Torna a Sud", 140);
break;

case 142:
tt("Mensa");
tx("Ti trovi in un'ampia mensa. Vedi tavoli e sedie ovunque.");
br();
tx("Disteso a terra e privo di conoscenza vedi Carlos. Provi a chiamarlo, ma e' tutto inutile. E' svenuto. Tenti di trasportarlo fuori, ma e' troppo pesante. Da solo non ci riesci.");
v[14]=1;
br(2);
lk("Esci", 141);
break;

case 200:
tt("Control Room");
tx("Parli a Alice e le spieghi la situazione. Cosi' entrambi andate a prendere Carlos, poi ritornate alla <b>Control Room</b> e subito dopo attivate l'<b>Access Gate</b>. Un ultimo sforzo e alla fine tornate nel vostro mondo tutti e tre sani e salvi.");
br(2);
tx("Complimenti! Hai completato il gioco con il finale <b>Good!</b>");
br(2);
tx("Clicca sul tasto INFO per avere maggiori informazioni sui punti ottenuti e sul totale delle azione che hai svolto durante l'avventura o clicca su RICOMINCIA per una nuova avventura. - Fine -");
br(2);
tx("Per altre avventure <a href='http://adventure-click.pcguida.com'>clicca qui</a>.");
perToComplete=100;
point=1000;
gameStop();
break;

case 201:
tt("Allarme");
tx("Errore. Addetto alla sicurezza - Non valido -");
br(1);
tx("Intrusione in corso. Tutte le Porte sono state bloccate. ");
tx("Hai completato il gioco con il finale <b>BAD</b>");
br(2);
tx("Clicca sul tasto INFO per avere maggiori informazioni sui punti ottenuti e sul totale delle azione che hai svolto durante l'avventura o clicca su RICOMINCIA per una nuova avventura. - Fine -");
gameStop();
break;

case 202:
tt("Autenticazione");
tx("Addetto alla sicurezza - Riconosciuto -");
objVar[5]="i";
br(2);
lk("Continua", 114);
break;

}


backLevelNow=rm;
if (gameOver==1) {
msg("Game Over. Clicca su 'Ricomincia' per una nuova avventura.");
cls();
return;
}

/* Funzioni Extra (Non Toccare) */
showObjMob(rm);
extraFunction(rm);
}
/* **************************************************** */

function msgGame(nm, rm) {
  if (nm==0) {
    msg("Senti un rumore assordante provenire dal corridoio. Sai benissimo che la struttura sta per implodere su se' stessa. Speri solo che quel forte boato non abbia bloccato l'unico passaggio verso la via per la tua salvezza!");
    return;
  }
}

function combineObj(oj1, oj2, rm) {
/* Combina Coltello con Presa */
 if (v[2]==0) {
   if ((oj1=="clt") && (oj2=="presa")) {
    objVar[2]=8;
    v[2]=1;
    gotoRoom(rm);
    msg("Con il coltello togli le viti dalla presa di corrente e poi tagli un pezzo di filo. <i>Ben Fatto!  Hai guadagnato 50 punti.</i>");
    return;
   }
  }

/* Combina Filo con Slot */
 if ((oj1=="fl") && (oj2=="slot")) {
    objVar[2]=0;
    v[3]=1;
    gotoRoom(rm);
    msg("Inserisci il filo nello slot al posto del fusibile. Hai ripristinato la corrente, l'ascensore e tutte le porte con serratura elettronica sono state attivate. <i>Ben Fatto!  Hai guadagnato 50 punti.</i>");
    point=point+50;
    perToComplete=25;
    return;
 }

/* Combina Batteria con Slot */
 if ((oj1=="bt") && (oj2=="slotbt")) {
    objVar[3]=0;
    v[4]=1;
    gotoRoom(rm);
    msg("Inserisci la batteria e il Generatore <b>E</b> si avvia. Adesso tutti i tasti sono in posizione ON. <i>Ben Fatto!  Hai guadagnato 50 punti.</i>");
    point=point+50;
    perToComplete=60;
    return;
 }

/* Combina Fune con Ringhiera */
 if ((oj1=="fune") && (oj2=="ring") && (v[8]==0) ) {
  msg("Non c'e' alcun bisogno di scendere con la fune. Posso utilizzare le scale che sono decisamente piu' sicure.");
  return;
 }
 if ((oj1=="fune") && (oj2=="ring")) {
    objVar[0]=0;
    v[9]=1;
    colorScreen("FFF");
    colorAdv("FFF");
    gotoRoom(11);
    msg("Fai un doppio nodo alla fune stringendola saldamente alla ringhiera e scendi lentamente a Pianterreno facendo attenzione a rimanere il piu' vicino possibile accanto al muro per evitare l'oscurita'. Colpisci con decisione il vetro della finestra e rientri nella struttura. <i>Ben Fatto!  Hai guadagnato 50 punti.</i>");
    point=point+50;
    return;
 }

 if ((oj1=="fl") && (oj2=="clt") || (oj1=="clt") && (oj2=="fl")) {
  msg("Non occorre tagliarlo ancora.");
  return;
 }

 if ((oj1=="fune") && (oj2=="clt") || (oj1=="clt") && (oj2=="fune")) {
  msg("Meglio non tagliarla. Potrebbe servirti.");
  return;
 }

 if ((oj1=="slotcard") && (oj2=="card") || (oj1=="card") && (oj2=="slotcard")) {
  msg("<< Card non valida >>.");
  return;
 }

 if ((oj1=="cardw") && (oj2=="card") || (oj1=="card") && (oj2=="cardw")) {
  v[13]=1;
  objVar[4]=0;
  msg("Hai inserito la Card nello scrittore. <i>Ben Fatto!  Hai guadagnato 50 punti.</i>");
    point=point+50;
  return;
 }

 if ((oj1=="slotcard") && (oj2=="cardok") || (oj1=="cardok") && (oj2=="slotcard")) {
 v[12]=1;
 msg("<< Card valida. Bentornato Carlos! >>. Hai aperto la porta della Mensa.");
  perToComplete="99";
  return;
 }

rndText(caseNegative);
}
/* Se il Giocatore Prende un Oggetto */
function ifTakeObj(ogg) {
if (ogg=="fune") point=point+50;
if (ogg=="clt") point=point+50;
if (ogg=="fl") point=point+50;
if (ogg=="bt") point=point+50;
if (ogg=="bt") {
v[8]=1;
msgGame(0, 28);
}
}

/* Se il Giocatore Lascia un Oggetto */
function ifLetObj(ogg) {

}
/* **************************************************** */
